<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2019, Ebenezer Obasi
 * All rights reserved.
 * info@eobasi.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * Admin Controller
 *
 * @author Ebenezer Obasi <eobasilive@gmail.com, info@eobasi.com>
 * @package ow.plugin.discover.controllers
 * @since 1.5.3
 */

 class DISCOVER_CTRL_Admin extends ADMIN_CTRL_Abstract
 {
	public function index( )
	{
        $this->setPageHeading(OW::getLanguage()->text('discover', 'admin_settings_heading'));

        $config = OW::getConfig()->getValues('discover');

        $form = new Form( 'discover-admin-seetings' );

        $fields = ['enable_gender_filter', 'filter_by_sex', 'filter_by_match_sex'];
        
        foreach($fields as $field )
        {
            $element = new CheckboxField($field);
            $element->setValue($config[$field]);
            $element->setLabel(OW::getLanguage()->text('discover', "admin_label_$field"));
            $form->addElement($element);
        }

        $submit = new Submit('save-settings');
        $form->addElement($submit);

        $this->addForm($form);

        if ( OW::getRequest()->isPost() )
        {
            if ( $form->isValid($_POST) )
            {
                $data = $form->getValues();
                
                foreach( $data as $field => $value)
                {
                    if( OW::getConfig()->configExists('discover',$field))
                        OW::getConfig()->saveConfig('discover', $field, $value);
                }

                OW::getFeedback()->info(OW::getLanguage()->text('discover', 'admin_settings_updated'));

                $this->redirect();
            }
        }
	}
 }