<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2018, Ebenezer Obasi
 * All rights reserved.
 * info@eobasi.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
 
 $tablePrefix = OW_DB_PREFIX;
 $plugin = OW::getPluginManager()->getPlugin('discover');
 
 $query = "CREATE TABLE IF NOT EXISTS `{$tablePrefix}discover_interest` (
	`id` int(11) NOT NULL auto_increment,
	`initiatorId` int(11) NOT NULL,
	`opponentId` int(11) NOT NULL,
	`timestamp` int(11) NOT NULL,
	PRIMARY KEY  (`id`)
 ) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1";
 
 OW::getDbo()->query($query);
 
 $authorization = OW::getAuthorization();
 $groupName = 'discover';
 $authorization->addGroup($groupName);
 $authorization->addAction($groupName, 'play_game', false);
 $authorization->addAction($groupName, 'play_game_superlike', false);

 $configParams = [
	'enable_gender_filter' => true,
	'filter_by_sex' => true,
	'filter_by_match_sex' => true,
	'filter_by_location' => false,
 ];

 foreach( $configParams as $field => $value )
 {
	if( !OW::getConfig()->configExists('discover', $field) )
		OW::getConfig()->addConfig('discover', $field, $value);
 }
 
OW::getPluginManager()->addPluginSettingsRouteName('discover', 'discover.admin.index');
OW::getLanguage()->importPluginLangs($plugin->getRootDir() . 'langs.zip', 'discover');
 
 